Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
pdumodel::OutletGroup::PowerControlEvent Struct Reference

Event: Group switch operation has been invoked. More...

`import <OutletGroup.idl;`

Inheritance diagram for pdumodel::OutletGroup::PowerControlEvent:

## Public Attributes
Outlet::PowerState | state
| Target power state, only valid if not cycling.
boolean | cycle
| Whether a power cycle operation was invoked.
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: Group switch operation has been invoked.

Definition at line 53 of file OutletGroup.idl.

## Member Data Documentation

## ◆ cycle

boolean pdumodel::OutletGroup::PowerControlEvent::cycle

Whether a power cycle operation was invoked.

Definition at line 55 of file OutletGroup.idl.

## ◆ state

Outlet::PowerState pdumodel::OutletGroup::PowerControlEvent::state

Target power state, only valid if not cycling.

Definition at line 54 of file OutletGroup.idl.

The documentation for this struct was generated from the following file:

- OutletGroup.idl